function gameinput (sender,obj_id,attachedID)
-----------------------------------------------------------------------------------------------------------------------
	if sender==30 then
		setcurentleaf("robert_room",5,0);
		SwitchToSheet("re");
		DarkScreen(true);
		speciale_action(2,503,true);	
		speciale_action(4,503)
	return;end;

	if sender==29 then
		if obj_id==25 then
			speciale_action(2,25)
			ScaleObject(26,1,1.2,1,550,400);
			frame=frame+1;
		return;end;	
		if obj_id==26 then
			addfade(-32,0);
			visible_object(-32);		
			speciale_action(4,-32); 
		return;end;
	return;end;
	
	if sender==28 then
	if flags.skip then
	   clear_satelite_leaf("robert_room");
	return;end;
	if obj_id==1 then
		if frame==-1 then
			speciale_action(2,11);
			--BlockCursor(false);
			block=false;
			speciale_action(2,14);
			ScaleObject(2,0.9,1);
			setcolor(1100,1,1,1,1,1);
			set_text(1100,"250");
			setcolor(3,0.6,0.6,0.6,1);
			setcolor(2,1,1,1,1); 
			frame=frame+1;
		return;end;
		if frame==10 then	
			--  BlockCursor(false);
				block=false;			  
			  clear_satelite_leaf("robert_room");
		return;end;
	return;end;

	return;end;

	if sender==15 then

	   
	   	if obj_id==26 then
	       unvisible_object(-32);
	   return;end;
	   
	   if obj_id==-30 then
		--	BlockCursor(false);
		block=false;
			-- speciale_action(2,14);
			-- ScaleObject(2,0.9,1);
			-- setcolor(2,1,1,1,1); 
			-- setcolor(1100,1,1,1,1,1); 
			-- set_text(1100,"252");
	   return;end;	
		if obj_id==-31 then
			--BlockCursor(false);
		--	block=false;
			--MoveObjectY(25,405,305,3);	
			ScaleObject(25,1,0.5,3)
			playeffect("Bike3");
		return;end;
		if obj_id==2 and frame==2 then
			 unvisible_object(-31);
		return;end;

		
		if obj_id==20 then
	       unvisible_object(-31);
	   return;end;		
	   
	   if obj_id==-32 then
			--BlockCursor(false);
			block=false;
			ScaleObject(2,0.9,1);
			setcolor(2,1,1,1,1); 
			setcolor(1100,1,1,1,1,1); 
			set_text(1100,"252");
	   return;end;		
	return;end;
	
	if sender==16 then
	   if obj_id==24 then
	       unvisible_object(-30);
	   return;end;


	   
		if obj_id==-30 then
			speciale_action(2,2);
			speciale_action(2,14);
			speciale_action(2,20);
			speciale_action(2,21);
			speciale_action(2,70);
			speciale_action(2,23);
			speciale_action(2,24,true);		
			ScaleObject(2,1,0.9);
			speciale_action(2,3);
			speciale_action(2,4);
		return;end;
		
		if obj_id==-31 then
			-- speciale_action(2,20,true);
			-- speciale_action(2,21);
			-- speciale_action(2,70);
			-- speciale_action(2,23);
			-- speciale_action(2,24);		
			speciale_action(2,2,true);			
			ScaleObject(2,1,0.9);
			speciale_action(2,3);
			speciale_action(2,4);
			speciale_action(2,14);
			speciale_action(2,25);
			speciale_action(2,26);		
		return;end;		
		
		if obj_id==-32 then	
		--	speciale_action(2,25);
			speciale_action(2,26,true);		
			speciale_action(2,2)
			speciale_action(2,14);
		return;end;	
	return;end;

	if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
	return;end;		
	if sender == 1 then --кликнули левой кнопкой мыши на активный объект
	
			if obj_id==11 then
				  flags.skip=true;
				  speciale_action(2,1100);
				  MoveObjectY(1,-200,-385,2);
				  speciale_action(2,11);
				  MoveObjectY(12,610,768,2);
				  MoveObjectY(14,768,768,2);
				  MoveObjectY(15,768,768,2);
				addfade(-34,0);
				visible_object(-34);		
				speciale_action(4,-34);
			return;end;
			
	return;end;

	
	if sender == 6 then --кликнули левой кнопкой мыши на активный объект
	if not block then
		    frame=frame+1;	
			-- if frame==0 then
				-- BlockCursor(true);
			-- return;end;

			if frame==1 then
			frame=frame+1;
				setcolor(1100,1,1,1,0,1); 
			--	BlockCursor(true);
				block=true;
				-- addfade(-30,0);
				-- visible_object(-30);		
				-- speciale_action(4,-30);   
								addfade(-31,0);
				visible_object(-31);		
				speciale_action(4,-31);   
			return;end;
			
			-- if frame==2 then
				-- BlockCursor(true);
				-- addfade(-31,0);
				-- visible_object(-31);		
				-- speciale_action(4,-31);   
			-- return;end;

			if frame==3 then
			--	BlockCursor(true);
				block=true;
  
			return;end;			
			
			if frame==4 then 
				set_text(1100,"253");
				ScaleObject(2,1,0.9);
				ScaleObject(3,0.9,1);
				setcolor(2,0.6,0.6,0.6,1);
				setcolor(3,1,1,1,1); 			
				speciale_action(2,14);
				speciale_action(2,15);
			return; end;
			if frame==5 then 
				set_text(1100,"254");
				ScaleObject(2,0.9,1);
				ScaleObject(3,1,0.9);
				setcolor(3,0.6,0.6,0.6,1);
			    setcolor(2,1,1,1,1); 
				speciale_action(2,14);
				speciale_action(2,15);
			return; end;
			if frame==6 then 
				set_text(1100,"255");
				ScaleObject(2,1,0.9);
				ScaleObject(3,0.9,1);
				setcolor(2,0.6,0.6,0.6,1);
				setcolor(3,1,1,1,1); 			
				speciale_action(2,14);
				speciale_action(2,15);
			return; end;
			if frame==7 then 
				set_text(1100,"256");
				ScaleObject(2,0.9,1);
				ScaleObject(3,1,0.9);
				setcolor(3,0.6,0.6,0.6,1);
			    setcolor(2,1,1,1,1); 
				speciale_action(2,14);
				speciale_action(2,15);	
			return;end;
			if frame==8 then	
				set_text(1100,"257");
				ScaleObject(2,1,0.9);
				ScaleObject(3,0.9,1);
				setcolor(2,0.6,0.6,0.6,1);
				setcolor(3,1,1,1,1); 			
				speciale_action(2,14);
				speciale_action(2,15);
			return;end;
			if frame==9 then 
				set_text(1100,"258");
				ScaleObject(2,0.9,1);
				ScaleObject(3,1,0.9);
				setcolor(3,0.6,0.6,0.6,1);
			    setcolor(2,1,1,1,1); 
				speciale_action(2,14);
				speciale_action(2,15);	
			return;end;
	
			if frame==10 then 
				--BlockCursor(true);
				block=true;
				speciale_action(2,1100);
				MoveObjectY(1,-200,-385,2);
				MoveObjectY(10,700,768,2);
				speciale_action(2,11);
				MoveObjectY(12,610,768,2);
				MoveObjectY(14,768,768,2);
				MoveObjectY(15,768,768,2);
				addfade(-34,0);
				visible_object(-34);		
				speciale_action(4,-34);
			return;end;  
	return;end;
	return;end;
end
